--exec sp_control_plan_guide @operation = N'DROP', @name = N'Disable_Expired_Demo_Licenses'
exec sp_Create_plan_guide @name = N'Disable_Expired_Demo_Licenses',
	@stmt = N'update l
set LicenseStatusId = 2
from License l
join Account on l.AccountId = Account.AccountId
	and Account.IsDemoAccount = 1
where l.ExpirationDate < GETDATE()',
	@type = N'SQL',
	@module_or_batch = NULL,
	@params = NULL,
	@hints = N'OPTION (USE PLAN N''<ShowPlanXML xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" Version="1.0" Build="9.00.3054.00" xmlns="http://schemas.microsoft.com/sqlserver/2004/07/showplan">
  <BatchSequence>
    <Batch>
      <Statements>
        <StmtSimple StatementCompId="1" StatementEstRows="99.5277" StatementId="1" StatementOptmLevel="FULL" StatementOptmEarlyAbortReason="GoodEnoughPlanFound" StatementSubTreeCost="0.118766" StatementText="update l&#xD;&#xA;set LicenseStatusId = 2&#xD;&#xA;from License l&#xD;&#xA;join Account on l.AccountId = Account.AccountId&#xD;&#xA;	and Account.IsDemoAccount = 1&#xD;&#xA;where l.ExpirationDate &lt; GETDATE()" StatementType="UPDATE">
          <StatementSetOptions ANSI_NULLS="false" ANSI_PADDING="false" ANSI_WARNINGS="false" ARITHABORT="true" CONCAT_NULL_YIELDS_NULL="false" NUMERIC_ROUNDABORT="false" QUOTED_IDENTIFIER="false" />
          <QueryPlan DegreeOfParallelism="1" MemoryGrant="64" CachedPlanSize="41" CompileTime="79" CompileCPU="18" CompileMemory="408">
            <MissingIndexes>
              <MissingIndexGroup Impact="45.9355">
                <MissingIndex Database="[CopyofMonitor]" Schema="[dbo]" Table="[Account]">
                  <ColumnGroup Usage="EQUALITY">
                    <Column Name="[IsDemoAccount]" ColumnId="16" />
                  </ColumnGroup>
                  <ColumnGroup Usage="INCLUDE">
                    <Column Name="[AccountId]" ColumnId="1" />
                  </ColumnGroup>
                </MissingIndex>
              </MissingIndexGroup>
            </MissingIndexes>
            <RelOp AvgRowSize="9" EstimateCPU="1.7915E-05" EstimateIO="0" EstimateRebinds="0" EstimateRewinds="0" EstimateRows="99.5277" LogicalOp="Assert" NodeId="1" Parallel="false" PhysicalOp="Assert" EstimatedTotalSubtreeCost="0.118766">
              <OutputList />
              <RunTimeInformation>
                <RunTimeCountersPerThread Thread="0" ActualRows="238" ActualEndOfScans="1" ActualExecutions="1" />
              </RunTimeInformation>
              <Assert StartupExpression="false">
                <RelOp AvgRowSize="9" EstimateCPU="0.0059135" EstimateIO="0.000313" EstimateRebinds="0" EstimateRewinds="0" EstimateRows="99.5277" LogicalOp="Left Semi Join" NodeId="2" Parallel="false" PhysicalOp="Merge Join" EstimatedTotalSubtreeCost="0.118748">
                  <OutputList>
                    <ColumnReference Column="Expr1015" />
                  </OutputList>
                  <RunTimeInformation>
                    <RunTimeCountersPerThread Thread="0" ActualRows="238" ActualEndOfScans="1" ActualExecutions="1" />
                  </RunTimeInformation>
                  <Merge ManyToMany="true">
                    <InnerSideJoinColumns>
                      <ColumnReference Database="[CopyofMonitor]" Schema="[dbo]" Table="[LicenseStatus]" Column="LicenseStatusId" />
                    </InnerSideJoinColumns>
                    <OuterSideJoinColumns>
                      <ColumnReference Database="[CopyofMonitor]" Schema="[dbo]" Table="[License]" Column="LicenseStatusId" />
                    </OuterSideJoinColumns>
                    <Residual>
                      <ScalarOperator ScalarString="[CopyofMonitor].[dbo].[License].[LicenseStatusId]=[CopyofMonitor].[dbo].[LicenseStatus].[LicenseStatusId]">
                        <Compare CompareOp="EQ">
                          <ScalarOperator>
                            <Identifier>
                              <ColumnReference Database="[CopyofMonitor]" Schema="[dbo]" Table="[License]" Column="LicenseStatusId" />
                            </Identifier>
                          </ScalarOperator>
                          <ScalarOperator>
                            <Identifier>
                              <ColumnReference Database="[CopyofMonitor]" Schema="[dbo]" Table="[LicenseStatus]" Column="LicenseStatusId" />
                            </Identifier>
                          </ScalarOperator>
                        </Compare>
                      </ScalarOperator>
                    </Residual>
                    <RelOp AvgRowSize="11" EstimateCPU="0.000110586" EstimateIO="0.01" EstimateRebinds="0" EstimateRewinds="0" EstimateRows="110.586" LogicalOp="Update" NodeId="3" Parallel="false" PhysicalOp="Clustered Index Update" EstimatedTotalSubtreeCost="0.109232">
                      <OutputList>
                        <ColumnReference Database="[CopyofMonitor]" Schema="[dbo]" Table="[License]" Column="LicenseStatusId" />
                      </OutputList>
                      <RunTimeInformation>
                        <RunTimeCountersPerThread Thread="0" ActualRows="238" ActualEndOfScans="1" ActualExecutions="1" />
                      </RunTimeInformation>
                      <Update WithUnorderedPrefetch="true">
                        <Object Database="[CopyofMonitor]" Schema="[dbo]" Table="[License]" Index="[PK_License]" />
                        <SetPredicate>
                          <ScalarOperator ScalarString="[CopyofMonitor].[dbo].[License].[LicenseStatusId] = [Expr1005]">
                            <ScalarExpressionList>
                              <ScalarOperator>
                                <MultipleAssign>
                                  <Assign>
                                    <ColumnReference Database="[CopyofMonitor]" Schema="[dbo]" Table="[License]" Column="LicenseStatusId" />
                                    <ScalarOperator>
                                      <Identifier>
                                        <ColumnReference Column="Expr1005" />
                                      </Identifier>
                                    </ScalarOperator>
                                  </Assign>
                                </MultipleAssign>
                              </ScalarOperator>
                            </ScalarExpressionList>
                          </ScalarOperator>
                        </SetPredicate>
                        <RelOp AvgRowSize="15" EstimateCPU="1.10586E-05" EstimateIO="0" EstimateRebinds="0" EstimateRewinds="0" EstimateRows="110.586" LogicalOp="Compute Scalar" NodeId="5" Parallel="false" PhysicalOp="Compute Scalar" EstimatedTotalSubtreeCost="0.0991211">
                          <OutputList>
                            <ColumnReference Database="[CopyofMonitor]" Schema="[dbo]" Table="[License]" Alias="[l]" Column="LicenseId" />
                            <ColumnReference Column="Expr1005" />
                          </OutputList>
                          <ComputeScalar>
                            <DefinedValues>
                              <DefinedValue>
                                <ColumnReference Column="Expr1005" />
                                <ScalarOperator ScalarString="(2)">
                                  <Const ConstValue="(2)" />
                                </ScalarOperator>
                              </DefinedValue>
                            </DefinedValues>
                            <RelOp AvgRowSize="11" EstimateCPU="1.10586E-05" EstimateIO="0" EstimateRebinds="0" EstimateRewinds="0" EstimateRows="110.586" LogicalOp="Top" NodeId="6" Parallel="false" PhysicalOp="Top" EstimatedTotalSubtreeCost="0.0991101">
                              <OutputList>
                                <ColumnReference Database="[CopyofMonitor]" Schema="[dbo]" Table="[License]" Alias="[l]" Column="LicenseId" />
                              </OutputList>
                              <RunTimeInformation>
                                <RunTimeCountersPerThread Thread="0" ActualRows="238" ActualEndOfScans="1" ActualExecutions="1" />
                              </RunTimeInformation>
                              <Top RowCount="true" IsPercent="false" WithTies="false">
                                <TopExpression>
                                  <ScalarOperator ScalarString="(0)">
                                    <Const ConstValue="(0)" />
                                  </ScalarOperator>
                                </TopExpression>
                                <RelOp AvgRowSize="11" EstimateCPU="0.0207151" EstimateIO="0" EstimateRebinds="0" EstimateRewinds="0" EstimateRows="110.586" LogicalOp="Inner Join" NodeId="7" Parallel="false" PhysicalOp="Hash Match" EstimatedTotalSubtreeCost="0.099099">
                                  <OutputList>
                                    <ColumnReference Database="[CopyofMonitor]" Schema="[dbo]" Table="[License]" Alias="[l]" Column="LicenseId" />
                                  </OutputList>
                                  <MemoryFractions Input="0" Output="0" />
                                  <RunTimeInformation>
                                    <RunTimeCountersPerThread Thread="0" ActualRows="238" ActualEndOfScans="1" ActualExecutions="1" />
                                  </RunTimeInformation>
                                  <Hash>
                                    <DefinedValues />
                                    <HashKeysBuild>
                                      <ColumnReference Database="[CopyofMonitor]" Schema="[dbo]" Table="[Account]" Column="AccountId" />
                                    </HashKeysBuild>
                                    <HashKeysProbe>
                                      <ColumnReference Database="[CopyofMonitor]" Schema="[dbo]" Table="[License]" Alias="[l]" Column="AccountId" />
                                    </HashKeysProbe>
                                    <RelOp AvgRowSize="12" EstimateCPU="0.0277153" EstimateIO="0.0342361" EstimateRebinds="0" EstimateRewinds="0" EstimateRows="146.333" LogicalOp="Index Scan" NodeId="8" Parallel="false" PhysicalOp="Index Scan" EstimatedTotalSubtreeCost="0.0619514">
                                      <OutputList>
                                        <ColumnReference Database="[CopyofMonitor]" Schema="[dbo]" Table="[Account]" Column="AccountId" />
                                      </OutputList>
                                      <RunTimeInformation>
                                        <RunTimeCountersPerThread Thread="0" ActualRows="146" ActualEndOfScans="1" ActualExecutions="1" />
                                      </RunTimeInformation>
                                      <IndexScan Ordered="false" ForcedIndex="false" NoExpandHint="false">
                                        <DefinedValues>
                                          <DefinedValue>
                                            <ColumnReference Database="[CopyofMonitor]" Schema="[dbo]" Table="[Account]" Column="AccountId" />
                                          </DefinedValue>
                                        </DefinedValues>
                                        <Object Database="[CopyofMonitor]" Schema="[dbo]" Table="[Account]" Index="[IX_Account_AccountId_IsDemoAccount_IsTestDrive_DataDeleteFlag]" />
                                        <Predicate>
                                          <ScalarOperator ScalarString="[CopyofMonitor].[dbo].[Account].[IsDemoAccount]=(1)">
                                            <Compare CompareOp="EQ">
                                              <ScalarOperator>
                                                <Identifier>
                                                  <ColumnReference Database="[CopyofMonitor]" Schema="[dbo]" Table="[Account]" Column="IsDemoAccount" />
                                                </Identifier>
                                              </ScalarOperator>
                                              <ScalarOperator>
                                                <Const ConstValue="(1)" />
                                              </ScalarOperator>
                                            </Compare>
                                          </ScalarOperator>
                                        </Predicate>
                                      </IndexScan>
                                    </RelOp>
                                    <RelOp AvgRowSize="15" EstimateCPU="0.000506517" EstimateIO="0.00386574" EstimateRebinds="0" EstimateRewinds="0" EstimateRows="317.743" LogicalOp="Index Seek" NodeId="10" Parallel="false" PhysicalOp="Index Seek" EstimatedTotalSubtreeCost="0.00437226">
                                      <OutputList>
                                        <ColumnReference Database="[CopyofMonitor]" Schema="[dbo]" Table="[License]" Alias="[l]" Column="LicenseId" />
                                        <ColumnReference Database="[CopyofMonitor]" Schema="[dbo]" Table="[License]" Alias="[l]" Column="AccountId" />
                                      </OutputList>
                                      <RunTimeInformation>
                                        <RunTimeCountersPerThread Thread="0" ActualRows="317" ActualEndOfScans="1" ActualExecutions="1" />
                                      </RunTimeInformation>
                                      <IndexScan Ordered="true" ScanDirection="FORWARD" ForcedIndex="false" NoExpandHint="false">
                                        <DefinedValues>
                                          <DefinedValue>
                                            <ColumnReference Database="[CopyofMonitor]" Schema="[dbo]" Table="[License]" Alias="[l]" Column="LicenseId" />
                                          </DefinedValue>
                                          <DefinedValue>
                                            <ColumnReference Database="[CopyofMonitor]" Schema="[dbo]" Table="[License]" Alias="[l]" Column="AccountId" />
                                          </DefinedValue>
                                        </DefinedValues>
                                        <Object Database="[CopyofMonitor]" Schema="[dbo]" Table="[License]" Index="[IX_License_ExpirationDate_ProductId_AccountId]" Alias="[l]" />
                                        <SeekPredicates>
                                          <SeekPredicate>
                                            <EndRange ScanType="LT">
                                              <RangeColumns>
                                                <ColumnReference Database="[CopyofMonitor]" Schema="[dbo]" Table="[License]" Alias="[l]" Column="ExpirationDate" />
                                              </RangeColumns>
                                              <RangeExpressions>
                                                <ScalarOperator ScalarString="getdate()">
                                                  <Identifier>
                                                    <ColumnReference Column="ConstExpr1012">
                                                      <ScalarOperator>
                                                        <Intrinsic FunctionName="getdate" />
                                                      </ScalarOperator>
                                                    </ColumnReference>
                                                  </Identifier>
                                                </ScalarOperator>
                                              </RangeExpressions>
                                            </EndRange>
                                          </SeekPredicate>
                                        </SeekPredicates>
                                      </IndexScan>
                                    </RelOp>
                                  </Hash>
                                </RelOp>
                              </Top>
                            </RelOp>
                          </ComputeScalar>
                        </RelOp>
                      </Update>
                    </RelOp>
                    <RelOp AvgRowSize="11" EstimateCPU="0.0001614" EstimateIO="0.003125" EstimateRebinds="0" EstimateRewinds="0" EstimateRows="4" LogicalOp="Clustered Index Scan" NodeId="17" Parallel="false" PhysicalOp="Clustered Index Scan" EstimatedTotalSubtreeCost="0.0032864">
                      <OutputList>
                        <ColumnReference Database="[CopyofMonitor]" Schema="[dbo]" Table="[LicenseStatus]" Column="LicenseStatusId" />
                      </OutputList>
                      <RunTimeInformation>
                        <RunTimeCountersPerThread Thread="0" ActualRows="4" ActualEndOfScans="0" ActualExecutions="1" />
                      </RunTimeInformation>
                      <IndexScan Ordered="true" ScanDirection="FORWARD" ForcedIndex="false" NoExpandHint="false">
                        <DefinedValues>
                          <DefinedValue>
                            <ColumnReference Database="[CopyofMonitor]" Schema="[dbo]" Table="[LicenseStatus]" Column="LicenseStatusId" />
                          </DefinedValue>
                        </DefinedValues>
                        <Object Database="[CopyofMonitor]" Schema="[dbo]" Table="[LicenseStatus]" Index="[PK_LicenseStatus]" />
                      </IndexScan>
                    </RelOp>
                  </Merge>
                </RelOp>
                <Predicate>
                  <ScalarOperator ScalarString="CASE WHEN [Expr1015] IS NULL THEN (0) ELSE NULL END">
                    <IF>
                      <Condition>
                        <ScalarOperator>
                          <Logical Operation="IS NULL">
                            <ScalarOperator>
                              <Identifier>
                                <ColumnReference Column="Expr1015" />
                              </Identifier>
                            </ScalarOperator>
                          </Logical>
                        </ScalarOperator>
                      </Condition>
                      <Then>
                        <ScalarOperator>
                          <Const ConstValue="(0)" />
                        </ScalarOperator>
                      </Then>
                      <Else>
                        <ScalarOperator>
                          <Const ConstValue="NULL" />
                        </ScalarOperator>
                      </Else>
                    </IF>
                  </ScalarOperator>
                </Predicate>
              </Assert>
            </RelOp>
          </QueryPlan>
        </StmtSimple>
      </Statements>
    </Batch>
  </BatchSequence>
</ShowPlanXML>'')'