use AdventureWorksDW
GO
--Selects
SELECT *
FROM DimEmployee
WHERE EmployeeKey IN (SELECT EmployeeKey 
	FROM FactSalesQuota 
	WHERE CalendarYear = 2004 
		AND SalesAmountQuota > 100000 
		AND DimEmployee.EmployeeKey = FactSalesQuota.EmployeeKey)
GO
SELECT *
FROM DimEmployee
WHERE EXISTS (SELECT * 
	FROM FactSalesQuota 
	WHERE CalendarYear = 2004 
		AND SalesAmountQuota > 100000 
		AND DimEmployee.EmployeeKey = FactSalesQuota.EmployeeKey)
GO
SELECT e.*
FROM dbo.DimEmployee e
JOIN dbo.FactSalesQuota ON e.EmployeeKey = FactSalesQuota.EmployeeKey
	AND FactSalesQuota.CalendarYear = 2004
	AND FactSalesQuota.SalesAmountQuota > 100000
GO
--Deletes
DELETE FROM FactInternetSalesReason
WHERE SalesOrderNumber IN (SELECT SalesOrderNumber FROM FactInternetSales 
	JOIN DimTime ON FactInternetSales.OrderDateKey = DimTime.TimeKey
	AND DimTime.CalendarYear = 2004)
GO
DELETE FROM FactInternetSalesReason with (NOLOCK)
WHERE EXISTS (SELECT * FROM FactInternetSales 
	JOIN DimTime ON FactInternetSales.OrderDateKey = DimTime.TimeKey
	AND DimTime.CalendarYear = 2004
	WHERE FactInternetSales.SalesOrderNumber = FactInternetSalesReason.SalesOrderNumber)
GO
DELETE f
FROM dbo.FactInternetSalesReason f
JOIN dbo.FactInternetSales ON f.SalesOrderNumber = FactInternetSales.SalesOrderNumber
JOIN dbo.DimTime ON FactInternetSales.OrderDateKey = DimTime.TimeKey
	AND DimTime.CalendarYear = 2004
GO

