/*Remote Version*/
SELECT b.FirstName, b.LastName, b.EmailAddress, d.City, c.ModifiedDate, a.Title, a.Gender, a.HireDate
FROM Person.Contact b
JOIN [SQL2K5-2].AdventureWorks.HumanResources.Employee a on a.ContactID = b.ContactID
JOIN [SQL2K5-2].AdventureWorks.HumanResources.EmployeeAddress c on c.EmployeeID = a.EmployeeID
JOIN Person.Address d on c.AddressId = d.AddressId

/*Local Version*/
SELECT b.FirstName, b.LastName, b.EmailAddress, d.City, c.ModifiedDate, a.Title, a.Gender, a.HireDate
FROM Person.Contact b
JOIN HumanResources.Employee a on a.ContactID = b.ContactID
JOIN HumanResources.EmployeeAddress c on c.EmployeeID = a.EmployeeID
JOIN Person.Address d on c.AddressId = d.AddressId

select *
from [SQL2K5-2].AdventureWorks.HumanResources.Employee 
where EmployeeId = 3