
select object_name(sys.dm_db_index_usage_stats.object_id, sys.dm_db_index_usage_stats.database_id), sys.indexes.name, *
from sys.dm_db_index_usage_stats
join sys.indexes on sys.dm_db_index_usage_stats.object_id = sys.indexes.object_id
	and sys.dm_db_index_usage_stats.index_id = sys.indexes.index_id
where database_id = db_id('CopyOfMonitor')
	and object_name(sys.dm_db_index_usage_stats.object_id, database_id) not like 'queue%'
	and object_name(sys.dm_db_index_usage_stats.object_id, database_id) not like 'fulltext%'
	and object_name(sys.dm_db_index_usage_stats.object_id, database_id) not like 'sysdiagrams'
	and object_name(sys.dm_db_index_usage_stats.object_id, database_id) not like 'sys%'
	and sys.indexes.name not like 'PK%'
and user_seeks < 1000
	and user_scans < 1000
	and user_lookups < 1000
	and user_updates < 1000
	
	exec xp_fixeddrives