select DatabaseLogId
from dbo.DatabaseLog
where PostTime between '1/1/2005' and '1/3/2005'

SELECT DatabaseLogId
FROM dbo.DatabaseLog
WHERE DatabaseUser = 'dbo'

IF EXISTS (SELECT * FROM sys.indexes where name = 'IX_DatabaseLog_PostTime_DatabaseUser')
	DROP INDEX dbo.DatabaseLog.IX_DatabaseLog_PostTime_DatabaseUser
GO
CREATE INDEX IX_DatabaseLog_PostTime_DatabaseUser ON dbo.DatabaseLog
(PostTime, DatabaseUser)
INCLUDE (DatabaseLogId)
GO
IF EXISTS (SELECT * FROM sys.indexes WHERE name = 'IX_DatabaseLog_DatabaseUser')
	DROP INDEX dbo.DatabaseLog.IX_DatabaseLog_DatabaseUser
GO
CREATE INDEX IX_DatabaseLog_DatabaseUser ON dbo.DatabaseLog
(DatabaseUser)
INCLUDE (DatabaseLogId)
GO