use tempdb
GO
SELECT *
FROM sys.objects
where type = 'U'
GO
DECLARE @tbl TABLE (c1 INT)
DECLARE @objectid INT, @tablename sysname

SELECT @objectId = object_id, @tablename=name
FROM sys.objects
WHERE type = 'U'

SELECT *
FROM sys.objects
where type = 'U'

SELECT *
FROM sys.columns
WHERE object_id = @objectId

SET NOCOUNT ON

SELECT sys.partitions.rows, sum(sys.allocation_units.data_pages) data_pages, sum(sys.allocation_units.data_pages)*8 'kilo bytes'
FROM sys.allocation_units 
JOIN sys.partitions ON sys.allocation_units.container_id = sys.partitions.hobt_id
	AND object_id = @objectId
group by sys.partitions.rows

declare @i INT
set @i = 0
WHILE @i <> 1000
BEGIN
	INSERT INTO @tbl
	SELECT @i

	SET @i = @i + 1
END

SELECT sys.partitions.rows, sum(sys.allocation_units.data_pages) data_pages, sum(sys.allocation_units.data_pages)*8 'kilo bytes'
FROM sys.allocation_units 
JOIN sys.partitions ON sys.allocation_units.container_id = sys.partitions.hobt_id
	AND object_id = @objectId
group by sys.partitions.rows

GO